Edit (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.Edit class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class Edit

    java.lang.Object
      org.biojava.bio.symbol.Edit

All Implemented Interfaces:
  Serializable

    public final class Edit

extends Object
implements Serializable

Encapsulates an edit operation on a SymbolList. See `SymbolList` for a full description.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary
`int` | `length`
`int` | `pos`
`SymbolList` | `replacement`

Constructor Summary
`Edit(int pos, Alphabet alpha, Symbol replacement)` Convenience construtor for making single residue changes
`Edit(int pos, int length, SymbolList replacement)` Create a new Edit.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    public final int pos

### length

    public final int length

### replacement

    public final SymbolList replacement

Constructor Detail

### Edit

    public Edit(int pos,
                int length,
                SymbolList replacement)

  Create a new Edit.

  Parameters:
    `pos` - the start of the edit
    `length` - the length of the edit
    `replacement` - a SymbolList representing the symbols that replace those from pos to pos + length-1 inclusive

### Edit

    public Edit(int pos,
                Alphabet alpha,
                Symbol replacement)
         throws IllegalSymbolException

  Convenience construtor for making single residue changes

  Parameters:
    `pos` - the position of the change
    `alpha` - the `Alphabet` of the replacement `Symbol`
    `replacement` - the replacement `Symbol`
  Throws:
    `IllegalSymbolException` - if the replacement `Symbol` is not contained in `alpha`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD